package com.ads.common.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

/**
 * @author stamm
 */
@Data
@Component
@Configuration
@ConfigurationProperties(prefix = "pro")
public class PerformanceProperties {

    private boolean openAopLog = true;


    /** 上传路径 */
    private static String profile;



    private SwaggerProperties swagger = new SwaggerProperties();

    public static String getProfile()
    {
        return profile;
    }

    public void setProfile(String profile)
    {
        PerformanceProperties.profile = profile;
    }
}
